/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 资产项目调拨单 
 */
var AssetAllocateProjectResource = {

	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据资产项目变动信息DTO集合生成资产项目调拨单 
	 */
	generate : function(assetChangeProjectDtos){
		var requestUrl = "AssetAllocateProjectResource/generate";


		return new Promise(function(resolve, reject) {
			$.ajax({
				url: Common.getApiURL(requestUrl),
				type: "post",
				contentType: "application/json",
				
				dataType: "json",
				data: JSON.stringify(assetChangeProjectDtos),
				
				beforeSend: function(request) {
					Common.addTokenToRequest(request);
				},
				success: function(data) {
					resolve(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	}
}
